package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag700;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT700Creator;

/**
 * @author hedonghao
 * @date 2023/2/20
 */
public class Tag42PCreator extends AbsTagCreate {

    private MT700Creator mt700Creator;

    public Tag42PCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt700Creator= (MT700Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag42PCValue = mt700Creator.getNegtionDfredPaymentDetail();
        mt700Creator.set("42P", tag42PCValue);
    }
}
